package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.UpdateAppEntitlements(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceUpdateAppEntitlementsRequest{
CatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RequestCatalogManagementServiceUpdateAppEntitlementsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.updateAppEntitlements({
catalogId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/catalogs/{catalog_id}/requestable_entitlements/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appEntitlements": [
{
"appId": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/catalogs/{catalog_id}/requestable_entitlements/update"
payload = { "appEntitlements": [
{
"appId": "<string>",
"id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appEntitlements: [{appId: '<string>', id: '<string>'}]})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/catalogs/{catalog_id}/requestable_entitlements/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Update App Entitlements
Replace the full set of requestable entitlements in a catalog with the provided list.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.UpdateAppEntitlements(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceUpdateAppEntitlementsRequest{
CatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RequestCatalogManagementServiceUpdateAppEntitlementsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.updateAppEntitlements({
catalogId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The Id of the request catalog to get app entitlement to. This is a URL value.
Body
The RequestCatalogManagementServiceUpdateAppEntitlementsRequest object is used to update app entitlements to a request catalog id.
The entitlement to get from the request catalog.
Show child attributes
Show child attributes
Response
The RequestCatalogManagementServiceUpdateAppEntitlementsResponse object is is the response from UpdateAppEntitlements endpoint.
The RequestCatalogManagementServiceUpdateAppEntitlementsResponse object is is the response from UpdateAppEntitlements endpoint.
Was this page helpful?